package com.example.wholeestate.config;

import com.example.wholeestate.filter.CharacterEncodingFilter;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Arrays;

/**
 * 配置 filter
 */
@Configuration
public class WebFilterConfig {

    @Bean
    public FilterRegistrationBean encodingFilter() {

        FilterRegistrationBean filter = new FilterRegistrationBean();
        CharacterEncodingFilter webEncodingFilter = new CharacterEncodingFilter();
        filter.setFilter(webEncodingFilter);
        filter.setUrlPatterns(Arrays.asList("/*"));

        return filter;
    }

}
